john.watson@gmail.com (8) [Avatar] Offline
#1
I have been running the tensorboard sample from chapter 2 several times since yesterday. I typed in the code and downloaded it from the git repo. It seems that the sample will run one time and then I get the following error when I try and reevaluate my cell.

InvalidArgumentError: You must feed a value for placeholder tensor 'curr_value' with dtype float
[[Node: curr_value = Placeholder[dtype=DT_FLOAT, shape=[], _device="/job:localhost/replica:0/task:0/cpu:0"]()]]

During handling of the above exception, another exception occurred:

InvalidArgumentError Traceback (most recent call last)
<ipython-input-3-fbccc137ec1f> in <module>()
22 sess.run( init )
23 for i in range( len( raw_data )):
---> 24 summary_str, curr_avg = sess.run ( [merged, update_avg], feed_dict={curr_value: raw_data[i]})
25 #summary_str, curr_avg = sess.run ( [merged, update_avg], feed_dict={curr_value: raw_data[i]})
26 sess.run( tf.assign( prev_avg, curr_avg ))


That is just a few lines from the error, actual error is 100+ lines long. It seems that if I exit jupyter notebook and start the whole thing over it works.

There is a rather cryptic line in the book that says:

"You may need to ensure the TensorFlow session has ended before starting TensorBoard. If you rerun listing 2.15, you’ll need to remember to clear the logs directory."

Is this related to the error I'm seeing when I attempt to reevaluate my cell?

Also, I remember being able to execute the cell multiple times yesterday because I remember seeing my tensorboard output with multiple datasets overlaid.

Any ideas?